This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1297169 - sane-backends 1.0.25 regresses support for Fujitsu ScanSnap ix500
sane-backends 1.0.25 regresses support for Fujitsu ScanSnap ix500
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: sane-backends (Show other bugs)
23
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-10 00:02 EST by Delyan Kratunov
Modified: 2016-07-31 23:23 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-31 23:23:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Logs of a successful scan (3.80 MB, text/plain)
2016-01-10 00:02 EST, Delyan Kratunov
no flags Details
Logs of a failed scan (18.07 KB, text/plain)
2016-01-10 00:03 EST, Delyan Kratunov
no flags Details
Successful scan .24 + usb (7.62 MB, text/plain)
2016-01-30 23:12 EST, Delyan Kratunov
no flags Details
Failed scan .25 + usb (13.34 KB, text/plain)
2016-01-30 23:13 EST, Delyan Kratunov
no flags Details

  None (edit)
Description Delyan Kratunov 2016-01-10 00:02:24 EST
Description of problem
With 1.0.25, my ScanSnap ix500 is no longer being able to scan anything. The device shows up in `scanimage -L` but an actual scan fails and the device subsequently disappears from `scanimage -L` until unplugging and plugging its USB cable.

Version-Release number of selected component (if applicable): 1.0.25


How reproducible: every time


Steps to Reproduce:
1. Install sane-backends-1.0.25
2. SANE_DEBUG_FUJITSU=255 scanimage -d "fujitsu:ScanSnap iX500:14767" --resolution 50 >foo.pnm 2>foo.log
3. Observe the scanner not even beginning to scan and the resulting empty output image (logs attached)

Actual results:
scanimage is unable to scan anything from this device.


Expected results:
A page is scanned, as with 1.0.24 (logs attached).


Additional info:
I've attached debug info from both 1.0.24 and 1.0.25. 1.0.25
Comment 1 Delyan Kratunov 2016-01-10 00:02 EST
Created attachment 1113239 [details]
Logs of a successful scan
Comment 2 Delyan Kratunov 2016-01-10 00:03 EST
Created attachment 1113240 [details]
Logs of a failed scan
Comment 3 Nils Philippsen 2016-01-20 08:08:04 EST
(In reply to Delyan Kratunov from comment #0)
> Description of problem
> With 1.0.25, my ScanSnap ix500 is no longer being able to scan anything. The
> device shows up in `scanimage -L` but an actual scan fails and the device
> subsequently disappears from `scanimage -L` until unplugging and plugging
> its USB cable.

No wonder, it doesn't reply anymore. See the bottom of the "failed" log which has a couple of repetitions of these:

--- 8< ---
[fujitsu] do_usb_cmd: start
[fujitsu] cmd: writing 31 bytes, timeout 500
[fujitsu] cmd: >>
[fujitsu] 000: 43 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 C...............
[fujitsu] 010: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ............... 
[fujitsu] cmd: wrote 31 bytes, retVal 0
[fujitsu] stat: reading 13 bytes, timeout 500
[fujitsu] stat: <<
[fujitsu] stat: read 0 bytes, retVal 9
[fujitsu] stat: return error 'Error during device I/O'
[fujitsu] WARNING: Brain-dead scanner. Hitting with stick
--- >8 --

The log before that is almost identical (virtually identical as far as communication between the computer and the scanner are concerned). Did anything else than the version of sane-backends change on the system, e.g. the kernel?
Comment 4 Delyan Kratunov 2016-01-20 11:17:09 EST
> Did anything else than the version of sane-backends change on the system, e.g. the kernel?

Nope. This is entirely reproducible by just updating/downgrading sane-backends-* between 1.0.24 and 1.0.25.
Comment 5 Nils Philippsen 2016-01-21 07:41:59 EST
Hmm, there's nothing in the logs that indicates that the fujitsu backend driver does things differently in 1.0.25. Would you please regenerate the logs with sanei_usb debugging enabled additionally? I.e.:

SANE_DEBUG_FUJITSU=255 SANE_DEBUG_SANEI_USB=255 scanimage -d "fujitsu:ScanSnap iX500:14767" --resolution 50 >foo.pnm 2>foo.log

Thanks.
Comment 6 Delyan Kratunov 2016-01-30 23:12 EST
Created attachment 1119710 [details]
Successful scan .24 + usb
Comment 7 Delyan Kratunov 2016-01-30 23:13 EST
Created attachment 1119711 [details]
Failed scan .25 + usb
Comment 8 Delyan Kratunov 2016-01-30 23:15:05 EST
If you run `diff --side-by-side --width 160  foo.24.log foo.25.log | less`, you'll immediately see that the failure is at 13 byte read early on. It succeeds in .24 and fails in .25.

Could this be related to the fact that custom Fedora usb patches were removed in .25? This is over a usb3 port as well, if that matters.
Comment 9 Delyan Kratunov 2016-05-21 03:56:57 EDT
Any news on this? Can we at least mark this bug as confirmed?
Comment 10 Nils Philippsen 2016-05-23 11:31:23 EDT
Delyan, sorry for dropping the ball. We don't have a "CONFIRMED" state, but I'll move this to ASSIGNED which is kind of our equivalent.
Comment 11 Nils Philippsen 2016-05-25 05:03:05 EDT
I've seen that there are a couple of changes in the USB code after 1.0.25 was released, can you build the current development version of sane-backends from source and try whether it makes a difference to you?
Comment 12 Steve 2016-06-05 07:41:18 EDT
I have a new machine with Fedora 32x64 with a Gigabyte Z170-D3H main board with rear panel usb-3 connectors and front panel usb-2 connectors.  I have an HP-7400c scanner. 

with the scanner in the usb-3 port
$ lsusb
Bus 001 Device 069: ID 03f0:0801 Hewlett-Packard ScanJet 7400c 
but sane reports no scanner available

with the scanner in the usb-2 port
$ lsusb
Bus 001 Device 070: ID 03f0:0801 Hewlett-Packard ScanJet 7400c
sane finds the scanner and works
Comment 13 Nils Philippsen 2016-06-09 05:30:57 EDT
Steve, this is is a different issue (different symptoms and scanner model). That it works on a USB2 port but doesn't on a USB3 port indicates some problem in the USB3 kernel driver (i.e. outside of sane-backends). Please file a separate bug report against the kernel component. Thanks!
Comment 14 Delyan Kratunov 2016-07-31 23:23:30 EDT
Nils, 1.0.25-2.fc24 seems to work just fine with the ScanSnap ix500. Closing as resolved

Note You need to log in before you can comment on or make changes to this bug.